import { BrowserRouter, Routes, Route } from 'react-router-dom';

import { Login } from './screens';
import CadastroEspecialista from './screens/CadastroEspecialista';
import CadastroProfessor from './screens/CadastroProfessor';
import MenuCoordenador from './screens/MenuCoordenador';
import MenuEspecialista from './screens/MenuEspecialista';
import MenuProfessor from './screens/MenuProfessor';
import MenuUsuario from './screens/MenuUsuario';
import StudentList from './screens/StudentList';
import UserList from './screens/UserList';

function App() {
  return (
    <div>
      <BrowserRouter>
        <Routes>
          <Route path="/" element={<Login />} />
          <Route path="/area-coordenador" element={<MenuCoordenador />} />
          <Route path="/area-professor" element={<MenuProfessor />} />
          <Route path="/area-especialista" element={<MenuEspecialista />} />
          <Route path="/menu-usuario" element={<MenuUsuario />} />
          <Route path="/lista-usuarios" element={<UserList />} />
          <Route path="/lista-alunos" element={<StudentList />} />
          <Route path="/cadastro-professor" element={<CadastroProfessor />} />
          <Route
            path="/cadastro-especialista"
            element={<CadastroEspecialista />}
          />
        </Routes>
      </BrowserRouter>
    </div>
  );
}

export default App;
