import { useNavigate } from 'react-router-dom';

import { ButtonCard } from '../components';
import { Header } from '../containers';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function MenuUsuario() {
  const navigate = useNavigate();

  return (
    <div style={styles.background}>
      <Header text="Área do Coordenador" disableArrow enableLogout />
      <div style={styles.buttonsContainer}>
        <div style={styles.button}>
          <ButtonCard
            text="CADASTRAR PROFESSOR"
            // icon={fontawesome.icons.faChalkboardTeacher}
            disableIcon
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            onClick={() => navigate('/cadastro-professor')}
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="CADASTRAR RESPONSÁVEL"
            // icon={fontawesome.icons.faPersonBreastfeeding}
            disableIcon
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="CADASTRAR ESPECIALISTA"
            // icon={fontawesome.icons.faUserDoctor}
            disableIcon
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            onClick={() => navigate('/cadastro-especialista')}
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="LISTA DE USUÁRIOS"
            // icon={fontawesome.icons.faAddressBook}
            disableIcon
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            onClick={() => navigate('/lista-usuarios')}
          />
        </div>
      </div>
    </div>
  );
}

const styles = {
  background: {
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
    marginTop: '4.688rem',
  },
  button: {
    margin: 20,
  },
};

export default MenuUsuario;
