/* eslint-disable no-return-assign */
import { Specialist } from "../model/specialist";
import api from "./api";

const serviceName = "/users/specialists";

export async function createSpecialist(specialist: Specialist): Promise<any> {
    let response = null;
    await api
      .post(`${serviceName}`, specialist)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}
  
export async function updateSpecialist(id: number, specialist: Specialist): Promise<any> {
    let response = null;
    await api
      .put(`${serviceName}/${id}`, specialist)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}

export async function getAllSpecialists(): Promise<any> {
    let response = null;
    await api
      .get(`${serviceName}`)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}

export async function getSpecialistById(id: number): Promise<any> {
    let response = null;
    await api
      .get(`${serviceName}/${id}`)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}
  

export async function deleteSpecialist(id: number): Promise<any> {
    let response = null;
    await api
      .delete(`${serviceName}/${id}`)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}




  



