/* eslint-disable no-return-assign */
import { Student } from '../model/student';
import api from './api';

const serviceName = '/students';

export interface StudentDto {
  id: number;
  created_at: Date;
  name: string;
  birth_date: Date;
  condition: string;
  condition_level: string;
  observations?: string;
}

export async function createStudent(student: Student): Promise<any> {
  let response = null;
  await api
    .post(`${serviceName}`, student)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}

export async function getAllStudents(): Promise<StudentDto[]> {
  const response = await api.get(`${serviceName}`);
  return response.data.data;
}

export async function getStudentById(id: number): Promise<any> {
  let response = null;
  await api
    .get(`${serviceName}/${id}`)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}

export async function deleteStudent(id: number): Promise<any> {
  let response = null;
  await api
    .delete(`${serviceName}/${id}`)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}
