/* eslint-disable no-return-assign */
import { Teacher } from "../model/teacher";
import api from "./api";

const serviceName = "/users/teachers";

export async function createTeacher(teacher: Teacher): Promise<any> {
    let response = null;
    await api
      .post(`${serviceName}`, teacher)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}
  
export async function updateTeacher(id: number, teacher: Teacher): Promise<any> {
    let response = null;
    await api
      .put(`${serviceName}/${id}`, teacher)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}

export async function getAllTeachers(): Promise<any> {
    let response = null;
    await api
      .get(`${serviceName}`)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}

export async function getTeacherById(id: number): Promise<any> {
    let response = null;
    await api
      .get(`${serviceName}/${id}`)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}
  

export async function deleteTeacher(id: number): Promise<any> {
    let response = null;
    await api
      .delete(`${serviceName}/${id}`)
      .then((data) => (response = data))
      .catch((error) => {
        throw error;
      });
    return response;
}




  



